   function fnValidateStockAudit() {
            var himsValidator;
            himsValidator = [new hims_ctl_val('ctl00_CP_ItemMainCategoryDropDownList','Item Main Group', "T", "", "", "", 20)];
            if (fnDoValidate(himsValidator))
                return true;
            else
                return false;
        }
        function uppercase() {
            key = window.event.keyCode;
            if ((key > 0x60) && (key < 0x7B))
                window.event.keyCode = key - 0x20;
        }
        function fnClearTabIndexChange() {
        }
        function EnableTextBox() {
            var a = document.getElementById("ctl00_CP_StockAuditApprovalGridView");
            for (var i = 0; i < a.rows.length; i++) {
                var node = a.rows[i].cells[0].childNodes[0];
                if (node.className == "Checkbox" && node.checked) {
                    var c = a.rows[i].cells[8].childNodes[0];
                    if (c.className == "inputBox") {
                        c.disabled = false;
                    }
                    else {
                        var c = a.rows[i].cells[8].childNodes[0];
                        if (c.className == "inputBox") {
                            c.disabled = true;
                        }
                    }
                }

            }
        }